import { getAccountsFromAllSettings } from './getAllAccounts.js';
export const groupByAccount = (allSettings) => {
    const accounts = getAccountsFromAllSettings(allSettings);
    return [...accounts].reduce((allAccountSettings, account) => ({
        ...allAccountSettings,
        [account]: Object.entries(allSettings)
            .filter(([k]) => k.startsWith(`${account}/`))
            .map(([k, v]) => [
            k.replace(new RegExp(`^${account}/`), ''),
            v,
        ])
            .reduce((s, [k, v]) => ({ ...s, [k]: v }), {}),
    }), {});
};
